Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge] Impossible de compiler Amaya
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Mon Mar 12, 2012 10:07 am    Post subject: [emerge] Impossible de compiler Amaya Reply with quote

Bonjour,

Je n'arrive pas à compiler Amaya :
Code:

In file included from ../../thotlib/base/AmayaAppInstance.cpp:10:0:
../../thotlib/internals/h/AmayaAppInstance.h:6:19: erreur fatale: wx/wx.h : Aucun fichier ou dossier de ce type
compilation terminée.
make[1]: *** [base/AmayaAppInstance.o] Erreur 1
make[1] : on quitte le répertoire « /var/tmp/portage/app-editors/amaya-11.3.1/work/Amaya/LINUX-ELF/thotlib »
make: *** [thotlib] Erreur 2
 * ERROR: app-editors/amaya-11.3.1 failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  85:  Called src_compile
 *   environment, line 2235:  Called die
 * The specific snippet of code:
 *       make || die
 *
 * If you need support, post the output of 'emerge --info =app-editors/amaya-11.3.1',
 * the complete build log and the output of 'emerge -pqv =app-editors/amaya-11.3.1'.
 * This ebuild is from an overlay named 'x-portage': '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/app-editors/amaya-11.3.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-editors/amaya-11.3.1/temp/environment'.
 * S: '/var/tmp/portage/app-editors/amaya-11.3.1/work/Amaya/LINUX-ELF'

>>> Failed to emerge app-editors/amaya-11.3.1, Log file:

>>>  '/var/tmp/portage/app-editors/amaya-11.3.1/temp/build.log'

 * Messages for package app-editors/amaya-11.3.1:

 * ERROR: app-editors/amaya-11.3.1 failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  85:  Called src_compile
 *   environment, line 2235:  Called die
 * The specific snippet of code:
 *       make || die
 *
 * If you need support, post the output of 'emerge --info =app-editors/amaya-11.3.1',
 * the complete build log and the output of 'emerge -pqv =app-editors/amaya-11.3.1'.
 * This ebuild is from an overlay named 'x-portage': '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/app-editors/amaya-11.3.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-editors/amaya-11.3.1/temp/environment'.
 * S: '/var/tmp/portage/app-editors/amaya-11.3.1/work/Amaya/LINUX-ELF'

_________________
emerge --info
dmesg
lspci
.config
Back to top
View user's profile Send private message
Winnt
n00b
n00b


Joined: 19 Sep 2008
Posts: 67

PostPosted: Mon Mar 12, 2012 11:29 am    Post subject: Reply with quote

Salut,

Si ton /var/tmp/portage est en ram désactive le pour qu'il utilise le disque.
J'ai régulièrement ce problème avec firefox par exemple qui est très gourmand de place sur /var/tmp.
_________________
Winnt

Intel Core i5 750 / 8 Go ram / Hdd 2 To / NVIDIA GeForce GTS 250 1Go sous Gentoo.
Dual core E6300 / 2Go ram / Hdd 1 To / Ati 9800XT sous Debian Testing.

Je sais que je ne sais pas. Et vous ?
Back to top
View user's profile Send private message
XavierMiller
Moderator
Moderator


Joined: 23 Jul 2004
Posts: 5484
Location: ~Brussels - Belgique

PostPosted: Mon Mar 12, 2012 11:38 am    Post subject: Reply with quote

Est-ce que wxwidgets est bien installé ?

Normalement, il ne faut pas forcer de version avec eselect wxwidgets, mais essaie en en choisissant une (eselect wxwidgets set 1)
_________________
Xavier Miller
(FR) Merci de respecter les règles du forum.
http://www.xaviermiller.be
Back to top
View user's profile Send private message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Tue Mar 13, 2012 9:38 pm    Post subject: Reply with quote

Winnt wrote:
Salut,

Si ton /var/tmp/portage est en ram désactive le pour qu'il utilise le disque.

Ce n'est pas le cas.

XavierMiller wrote:
Est-ce que wxwidgets est bien installé ?

Oui

XavierMiller wrote:
Normalement, il ne faut pas forcer de version avec eselect wxwidgets, mais essaie en en choisissant une (eselect wxwidgets set 1)

J'ai seulement :
Code:
eselect wxwidgets list
Available wxWidgets profiles:
  [1]   gtk2-unicode-release-2.8

_________________
emerge --info
dmesg
lspci
.config
Back to top
View user's profile Send private message
XavierMiller
Moderator
Moderator


Joined: 23 Jul 2004
Posts: 5484
Location: ~Brussels - Belgique

PostPosted: Wed Mar 14, 2012 8:23 am    Post subject: Reply with quote

As-tu été voir sur le bugzilla (pas la flemme de chercher) ? Si tu ne vois rien, crée un ticket.
_________________
Xavier Miller
(FR) Merci de respecter les règles du forum.
http://www.xaviermiller.be
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1590
Location: 127.0.0.1

PostPosted: Fri Mar 16, 2012 6:51 pm    Post subject: Re: [emerge] Impossible de compiler Amaya Reply with quote

Neuromancien wrote:

Je n'arrive pas à compiler Amaya :

Neuromancien wrote:

XavierMiller wrote:
Normalement, il ne faut pas forcer de version avec eselect wxwidgets, mais essaie en en choisissant une (eselect wxwidgets set 1)

J'ai seulement :
Code:
eselect wxwidgets list
Available wxWidgets profiles:
  [1]   gtk2-unicode-release-2.8


D'après le commentaire #68 du bug que tu donnes, il faut sélectionner [1], ce qui n'a pas l'air d'être le cas sur ton système.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum